### Class

# FwupdPlugin UsbHidDescriptor

#### Description [src]

    final class FwupdPlugin.UsbHidDescriptor : FwupdPlugin.Firmware
      implements Fwupd.Codec {
      /* No available fields */
    }

This object is a placeholder for the HID descriptor, and is populated with data after the device has been opened.

#### Ancestors

- FuFirmware
- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_usb_hid_descriptor_new

No description available.

since: 2.0.2

#### Instance methods

###### fu_usb_hid_descriptor_get_blob

Gets the HID descriptor binary blob.

since: 2.0.2

###### fu_usb_hid_descriptor_get_descriptor_length

Gets the HID descriptor length.

since: 2.0.2

###### fu_usb_hid_descriptor_get_iface_number

Gets the hid descriptor interface number.

since: 2.0.2

###### fu_usb_hid_descriptor_set_blob

Sets the HID descriptor binary blob.

since: 2.0.2

###### fu_usb_hid_descriptor_set_iface_number

Sets the hid descriptor interface number.

since: 2.0.2

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginUsbHidDescriptorClass {
      FuUsbDescriptorClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuUsbDescriptorClass`

  No description available.